Bug Hunting Session
Bug 107045 - Preview of templates show language specific text
Summary: Preview of templates show language specific text
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
5.3.0.3 release
Hardware: All All
: medium trivial
Assignee: Laurent BP
URL:
Whiteboard: target:5.5.0 target:5.4.0.1
Keywords:
Depends on:
Blocks:
 
Reported: 2017-04-09 09:52 UTC by Laurent BP
Modified: 2017-05-27 07:11 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
Start Center screen shot with Impress Templates (106.43 KB, image/png)
2017-04-09 10:01 UTC, Laurent BP
Details
Proposed template with Lorem ipsum text (822.09 KB, application/x-zip-compressed)
2017-04-12 14:54 UTC, Laurent BP
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Laurent BP 2017-04-09 09:52:15 UTC
Description:
When looking at templates in start center, some preview are shown. Texts are written in many different languages, without any link to user interface language.

Steps to Reproduce:
1. In Start Center, select Templates > Impress Templates


Actual Results:  
Thumbnails show text in Spanish, French, Polish, German

Expected Results:
Text should be shown in the user interface language. Or at least a non-specific language thumbnail should be used, like with "Lorem Ipsum" text.


Reproducible: Always

User Profile Reset: Yes

Additional Info:
These thumbnails are stored in XML code of each template in Thumbnail directory.


User-Agent: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:52.0) Gecko/20100101 Firefox/52.0
Comment 1 Laurent BP 2017-04-09 10:01:12 UTC
Created attachment 132416 [details]
Start Center screen shot with Impress Templates

Actually with default templates, only Spanish and one German text
Comment 2 Laurent BP 2017-04-12 14:54:18 UTC
Created attachment 132520 [details]
Proposed template with Lorem ipsum text

How to test these templates:
1. Unzip templates to replace shared ones in <LibO Install>/share/template/common/presnt (you may save previous ones before)
2. Start LibO with a new profile
3. In start center, Templates > Impress templates
Preview of templates are modified
Comment 3 Commit Notification 2017-05-26 21:36:28 UTC
Laurent Balland-Poirier committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5c16d16ed3db32f922b2aeaad49592d2615c7e2c

tdf#107045 Change preview image in templates

It will be available in 5.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2017-05-26 21:37:48 UTC
Laurent Balland-Poirier committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=49efc2d00a674e4fa16aa10c19cafbb10e1573ef&h=libreoffice-5-4

tdf#107045 Change preview image in templates

It will be available in 5.4.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.